
Redmine - Defect #13059

Custom fields are listed two times in workflow/Fields permission

2013-02-01 19:11 - Sándor Dombora

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version: 2.2.1

Description

The muptiple selecton list type custom fileds are duplicated in Workflow/Field permissons page.

Environment:

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.15

Rack version              1.4

Rails version             3.2.11

Active Record version     3.2.11

Action Pack version       3.2.11

Active Resource version   3.2.11

Action Mailer version     3.2.11

Active Support version    3.2.11

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x7f804aebb208>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /usr/share/redmine

Environment               production

Database adapter          postgresql

Database schema version   20121026003537

Related issues:

Related to Redmine - Defect #829: Trackers doubled in New Issue on Issues page Closed 2008-03-11

Associated revisions

Revision 11329 - 2013-02-07 19:20 - Jean-Philippe Lang

Add unique index on custom_fields_trackers (#13059).

History

#1 - 2013-02-07 19:32 - Jean-Philippe Lang

- Subject changed from Multiple select lists custom fields are listed two times in workflow/Fields permission to Custom fields are listed two times in

workflow/Fields permission

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

It's not because they are multiple select custom fields. You must have duplicate rows in the custom_fields_trackers table. This is fixed in r11329,

which removes duplicate rows and adds a unique index on that table to prevent that.
